#
# spec file for package bashdb
#
# Copyright (c) 2017 Packman Team <packman@links2linux.de>
# Copyright (c) 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


%define tarver  4.4-0.92
Name:           bashdb
Version:        4.4_0.92
Release:        lp150.2.4
Summary:        BASH with Debugger and Improved Debug Support and Error Handling
Summary(de):    BASH mit Debugger und verbessertem Debugging Support und Fehlerbehandlung
License:        GPL-2.0
Group:          System/Shells
Url:            http://bashdb.sourceforge.net/
Source0:        https://sourceforge.net/projects/bashdb/files/bashdb/%{tarver}/%{name}-%{tarver}.tar.bz2
Source1:        %{name}-rpmlintrc
BuildRequires:  bash >= 3.0
BuildRequires:  gcc
Requires:       bash >= 3.0
Requires:       info
Requires(post): info
Requires(postun): info
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
# not completely sure about this...
%requires_eq bash


%description
This is a complete rewrite of the Korn Shell debugger from Bill
Rosenblatt's `Learning the Korn Shell', published by O'Reilly and
Associates (ISBN 1-56592-054-6). Michael Loukides and Cigy Cyriac made
some additional changes.

%description -l de
Dies ist ein kompletter Rewrite des Korn Shell Debuggers von Bill
Roseblatts `Learning the Korn Shell', publiziert von O'Reilly und
Associates (ISBN 1-56592-054-6). Michael Loukides und Cigy Cyriac
haben einige weitere Verbesserungen beigetragen.

%prep
%setup -q -n %{name}-%{tarver}

%build
%configure
make %{?_smp_mflags}

%install
%make_install
#mkdir -p %%{buildroot}%%{_datadir}/bash/
#install -m 644 dbg-*.inc %%{buildroot}%%{_datadir}/bash/
rm -f "%{buildroot}%{_infodir}/dir"
chmod 755 %{buildroot}%{_datadir}/bashdb/getopts_long.sh

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%defattr(-,root,root)
%doc doc/*.html AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_infodir}/%{name}.info%{ext_man}
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Tue Jan 17 2017 aloisio@gmx.com
- Update to 4.4-0.92 (see included ChangeLog)
- Added bashdb-rpmlintrc
- Spec cleanup
* Fri Aug 17 2012 seife+obs@b1-systems.com
- update to 4.2-0.8 to fix build on 12.1/12.2
- make package noarch
* Thu Oct 29 2009 Manfred.Tremmel@iiv.de
- update to 4.0-0.4
* Wed Sep  2 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Sat Apr 11 2009 Manfred.Tremmel@iiv.de
- update to 4.0-0.3
* Tue Nov 18 2008 Manfred.Tremmel@iiv.de
- update to 4.0-0.2
* Tue Oct 28 2008 Manfred.Tremmel@iiv.de
- update to 4.0-0.1
* Sun Oct 28 2007 Manfred.Tremmel@iiv.de
- update to 3.1-0.09
* Sun Jan 21 2007 Manfred.Tremmel@iiv.de
- update to 3.1-0.08
* Sat Dec 16 2006 Manfred.Tremmel@iiv.de
- update to 3.1-0.07
* Sun Jul 23 2006 Manfred.Tremmel@iiv.de
- update to 3.1-0.06
* Sat Apr 15 2006 Manfred.Tremmel@iiv.de
- update to 3.1-0.05
* Tue Jan 17 2006 Manfred.Tremmel@iiv.de
- update to 3.00-0.04
* Fri Dec 16 2005 Manfred.Tremmel@iiv.de
- update to 3.00-0.03
* Sun Jul 31 2005 Manfred.Tremmel@iiv.de
- update to 3.00-0.02
* Sun May 16 2004 Manfred.Tremmel@iiv.de
- update to 0.43
* Sun Sep 21 2003 Manfred.Tremmel@iiv.de
- update to 0.42
* Sat Aug 16 2003 Manfred.Tremmel@iiv.de
- first spec file
